#
# spec file for package awesfx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           awesfx
Version:        0.5.1e
Release:        7.3
Summary:        SoundFont Utilities for SB AWE32/64 and Emu10k1 Drivers
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Midi
Url:            http://www.alsa-project.org/~iwai/awedrv.html
Source:         awesfx-%{version}.tar.bz2
Patch:          awesfx-0.5.1e-fix-bashisms.patch
BuildRequires:  alsa-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(udev)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%define _udevrulesdir %(pkg-config --variable=udevdir udev)/rules.d

%description
The AWESFX package includes utility programs for controlling the
wavetable function on SB AWE32/64 and Emu10k1 sound cards.

%prep
%setup -q
%patch -p1

%build
autoreconf -fi
CFLAGS="%{optflags} -fno-strict-aliasing" \
%configure
make %{?_smp_mflags}

%install
%make_install
# install udev and helper scripts
mkdir -p %{buildroot}%{_udevrulesdir}
install -c -m 0644 etc/*.rules %{buildroot}%{_udevrulesdir}
mkdir -p %{buildroot}%{_sysconfdir}/alsa.d
install -c -m 0755 etc/load-soundfont %{buildroot}%{_sysconfdir}/alsa.d
install -c -m 0755 etc/udev-soundfont %{buildroot}%{_sysconfdir}/alsa.d

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%doc *.txt
%{_bindir}/*
%{_datadir}/sounds/sf2/
%doc %{_mandir}/*/*
%{_udevrulesdir}/*.rules
%{_sysconfdir}/alsa.d

%changelog
* Sun Nov 16 2014 Led <ledest@gmail.com>
- fix bashism in udev-soundfont script
- add patches:
  * awesfx-0.5.1e-fix-bashisms.patch
* Thu Jul 24 2014 tiwai@suse.de
- Updated to version 0.5.1e:
  fix wrong error condition checks in loadbank.c
* Thu Apr 11 2013 crrodriguez@opensuse.org
- Place udev rules in the correct directory.
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue Mar 29 2011 tiwai@suse.de
- version 0.5.1d:
  * including previous fixes
  * fix possible buffer overflow in awe_read_option_file()
* Fri May 29 2009 tiwai@suse.de
- fix build error with the recent glibc (getline() conflict)
- build with -fno-strict-aliasing
- clean up spec file
* Wed Aug 29 2007 tiwai@suse.de
- fix udev script to load properly with recent udev versions
- fix for autoreconf
* Mon Aug  6 2007 tiwai@suse.de
- updated to version 0.5.1a:
  * really fix the build without linux/awe_voice.h
* Wed Jul 25 2007 tiwai@suse.de
- updated to version 0.5.1:
  * include awe_voice.h into the package
  * include udev files into the package
* Tue Apr 17 2007 tiwai@suse.de
- move udev-related stuff from alsa package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 31 2004 tiwai@suse.de
- updated to version 0.5.0d.  (misc fixes only)
* Fri Feb 27 2004 tiwai@suse.de
- updated to version 0.5.0b.
* Wed Feb  4 2004 tiwai@suse.de
- updated to version 0.5.0a.
* Fri Jan 23 2004 tiwai@suse.de
- updated to version 0.5.0.  using auto-tools now.
  ALSA emux loader is added.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Mar  8 2002 kukuk@suse.de
- Add /usr/share/sounds/sf2 to filelist
* Tue Jan  8 2002 tiwai@suse.de
- fixed buffer overflow with a long HOME env. variable.
* Fri Sep 21 2001 tiwai@suse.de
- Fixed a bug in incremental loading: duplication of instrument
  layers are avoided.
* Tue Feb 27 2001 tiwai@suse.de
- Apply the forgotten patch.
* Fri Jan  5 2001 tiwai@suse.de
- Removed CVS directories from source archive.
- Strip installed binaries.
* Tue Dec  5 2000 tiwai@suse.de
- Move default soundfont directory to /usr/share/sounds/sf2.
* Thu Sep 14 2000 tiwai@suse.de
- Fixed version number and documents.
* Tue Aug  1 2000 tiwai@suse.de
- Initial version: 0.4.4
